Installed Build Tools revision 33.0.0 is corrupted. Remove and install again using the SDK Manager.

The latest Android studio version (2021.3.1.16) running error latest solution (2022-September):

Finally, here are the personal cloud disk download links for the three Android studio versions (the official Android version seems to be unavailable for download)

Installed Build Tools revision 33.0.0 is corrupted. Remove and install again using the SDK Manager.

I just started learning Android development recently, and I encountered a lot of pitfalls during the development process. Compared with JS, Java, python, and go, Android’s hello world is really a headache. Various virtual machines don’t work, and various SDK installation packages have errors. . It makes people collapse.
Finally, the problem was solved based on the online solutions and related error information. Interested friends can take a look.
How to solve this error online
You can also scroll directly to the end of the article to see the solution I came up with after digging into the pit.

How to solve this error online

There are two ways to solve this error online.

  • One is to reinstall other versions of the SDK through system error prompts.
  • Another option is to rename the two files d8.bat and d8.jar of 33.0.0 (replace 8 in the two file names with x)

Method one to avoid pitfalls (install other versions of SDK):

For the first time, I uninstalled the 33.0.0 related SDK, but when I re-run the project, 33.0.0 started to download automatically again, which made me speechless. Method 1: give up

Trap method 2 (rename files)


The corresponding SDK version can be found in the corresponding folder, one of which is located in the **[lib]** folder
After renaming, the problem occurred again, and an error was reported when running the project:
Manifest merger failed with multiple errors, see logs
The general meaning is that many files have errors, which are getting more and more outrageous.

final solution

Step 1: Download a lower version of the SDK tool

Step 2: Manually lower the packaging tool version

Look at the position of the red arrow. If it is not 30 or 30.0.0 (mine was originally 33), all corrections will become 30 or 30.0.0 (this step is the key to successful packaging)

at last

The above is my own personal test solution:
Installed Build Tools revision 33.0.0 is corrupted. Remove and install again using the SDK Manager.
How to report an error, I hope it can help you

DownloadAndroidstudio

There are three installation packages (Androidstudio3.5, Androidstudio4.1, Androidstudio2021) under the folder. You can choose the installation version you need.

https://www.aliyundrive.com/s/Skx2E3v7AjE

Related Posts

Error 1: CommandWithNoStdoutInvokationFailure Unable to start the ADB server.

Huawei Cloud IOT Android application development detailed tutorial

IDEA’s high-quality plug-in Translation has updated its translation engine following the IDEA 2022.3 version.

Flutter project packaging to generate APK

Download Android Studio

Unity and iFlytek voice interaction: using aiui skills

Use ADB to uninstall built-in applications

Understanding of mainAxisAlignment and crossAxisAlignment in flutter

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

*